XIntersectRegion(3X11)

NAME
XIntersectRegion, XUnionRegion, XUnionRectWithRegion, XSubtractRegion, XXorRegion, XOffsetRegion, XShrinkRegion - region arithmetic

SYNTAX
XIntersectRegion(sra, srb, dr_return)
      Region sra, srb, dr_return;

XUnionRegion(sra, srb, dr_return)
      Region sra, srb, dr_return;

XUnionRectWithRegion(rectangle, src_region, dest_region_return)
     XRectangle *rectangle;
     Region src_region;
     Region dest_region_return;

XSubtractRegion(sra, srb, dr_return)
      Region sra, srb, dr_return;

XXorRegion(sra, srb, dr_return)
      Region sra, srb, dr_return;

XOffsetRegion(r, dx, dy)
      Region r;
      int dx, dy;

XShrinkRegion(r, dx, dy)
      Region r;
      int dx, dy;

ARGUMENTS

dest_region_return
    Returns the destination region.

dr_return
    Returns the result of the computation. ds Dy move or shrink

dx

dy  Specify the x and y coordinates, which define the amount you want to the specified region.

r   Specifies the region.

rectangle
    Specifies the rectangle.

sra

srb Specify the two regions with which you want to perform the computation.

src_region
    Specifies the source region to be used.

DESCRIPTION
The function computes the intersection of two regions.

The function computes the union of two regions.

The function updates the destination region from a union of the specified rectangle and the specified source region.

The function subtracts srb from sra and stores the results in dr_return.

The function calculates the difference between the union and intersection of two regions.

The function moves the specified region by a specified amount.

The function reduces the specified region by a specified amount. Positive values shrink the size of the region, and negative values expand the region.

SEE ALSO
XCreateRegion(3X11), XDrawRectangle(3X11), XEmptyRegion(3X11)
Xlib - C Language X Interface